LINUX.ORG.RU

HP LaserJet Pro M125r и OpenSUSE 13.1 - не печатает

 , ,


0

1

Здравствуйте, товарищи!

Итак, притащили вот новое МФУ, которое зовётся HP LaserJet Pro M125r. Я, конечно же, сразу погрустнел, вспоминая некоторые модели 1000-й серии, или более новые, которые либо нормально не заводились, либо уходили в сон с отключением печати, а взад эту самую печать не включали.
Но делать-то что-то надо. Накатил я все свежие обновки из репозитория печати, подцепил это чудо через усб и полез в яст. Но внезапно этот самый яст обнаружил и принтор и нужный драйвер к нему. Красота ведь, но чота жопой я почуял, что это всего лишь иллюзия. Так и вышло - стартовую страницу он печатать не стал.
Окай, не хочешь по-нормальному, так держи hp-setup, но сия чудная утилита меня отматерила, послав за бинарным плюгином к hp-plugin. Вот с этого момента и начинается самая интересная часть драмы.

Я тыкаю в Next, выбираю скачивание плагина с сервера ХП. Оно тыкает сетку, качает что-то и выдаёт мне лицензионное соглашение. Я от радости едва не подавился. Соглашаюсь, не читая, ну и... ну и... твою мать. Всё, курсор кажет, что система занята, хард молчит, процессы висят и молчат - ни процессорного времени не отжирают, ну нифига. Час прошёл, джва часа прошло - картина не меняется. И я совсем огорчился.
Много чего сделано было - из отладочной информации увидел маты на пакеты, hp-doctor попросил рутпасс и тоже всё. Без отклика - пришлось убивать вручную. Я решил, что у меня хплип не той системы и выкачал с офсайта. Хплип начал ставиться, попросил рутпасс - и всё. Слеш крутится, да и только. Я поставил все пакеты, на которые оно материлось, вручную через яст. Оно перестало материться, но не более. Плагин не ставится, не печатает принтор, и я в печали. Побегал по школе, подцеплял к другим машинам с зузей - одинаковая картина.

Решил проверить его, на всякий пожарный, на машине с Минтом 17.2 (не помню, зачем я ставил его - может МАТЕ потыкать) - откопал системнег, подцепил всё. Так как с подключением дополнительных репов мне париться не хотелось, то решил устанавливать прям из скачанного run-файла. Скинул, запускаю, он спрашивает параметры установки, доходим до рутпасса, ввожу, и установщик говорит мне, что таких-то пакетов нехватает, типа давай ставить будем. Соглашаюсь и процесс пошёл. Долго, с дополнительным вмешательством по разному поводу, но сам пакет встал. Запустилсо трей, появилсо тама принтор. И самое интересное, что и плагин встал! Там после принятия лицензии сразу появляется окно, спрашивающее пасс юзера и после ввода плагин, опять мгновенно, сообщает, что всё установлено: «ПЕЧАТАЙТЕ НА-ЗДОРОВЬЕ!». Какая-то вселенская несправедливость прям.
Несправедливость надо исправлять! Так что кастую, прежде всего, всех местных зузеводов, дабы выяснить корень проблемы и вырвать его нахрен. Ну и всех остальных с вариантами тоже ждём. Я пока не понял в какую сторону копать: или это юзер какой в какую группу не может попасть, или это права какие надо файлу/каталогу править, или вообще какой питонопакет (там же на питоне вроде утилита) надо притащить или тоже поковырять? Чертовщина какая-то, однако... или хамелеонщина, я даже не знаю.

★★★

Вот они, сюзепроблемы... Мне кажется что он просто найти в системе что-то не может

Reedych ★☆ ()
Ответ на: комментарий от Reedych

Так он бы хоть сказал чонить. Никакого выхлопа же.

Vier_E ★★★ ()
Ответ на: комментарий от Reedych

Да в поддержку я пока не писал. Может это в системе проблемы какие.

Vier_E ★★★ ()
Ответ на: комментарий от Vier_E

Спросив Рут пасс он ищет apt-get? :) Поставь зависимости вручную.

И попробуй запустить hp-plugin с ключом -i, кажется так было. Возможно, нужно от рута сразу это сделать.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от grem

От рута он не стартует принципиально. Ключик ничего не даёт - то же висение после ввода рутпасса.

Vier_E ★★★ ()
Ответ на: комментарий от Vier_E

От рута hp-plugin без ключа, емнип, у меня не запускался. Я запускал с ключом -i сразу от рута, без последующего ввода пароля.

grem ★★★★★ ()
Ответ на: комментарий от grem
zg153:~ # hp-plugin -i

HP Linux Imaging and Printing System (ver. 3.15.9)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: hp-plugin should not be run as root/superuser
Vier_E ★★★ ()
Ответ на: комментарий от Vier_E

Странно, у меня пашет. Только есть одно «НО» - из препозитория Dibian у меня что-то тоже не хотело работать, то ли не печаталось. Я скачал поэтому драйвер с сайта hplip, распаковал и поставил вручную, запустив ".run" , пусть это и нежелательно делать.

# hp-plugin -i

HP Linux Imaging and Printing System (ver. 3.14.6)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

(Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)


-----------------------------------------
| PLUG-IN INSTALLATION FOR HPLIP 3.14.6 |
-----------------------------------------

The driver plugin for HPLIP 3.14.6 appears to already be installed.
Do you wish to download and re-install the plug-in? (y=yes*, n=no, q=quit) ? 

grem ★★★★★ ()

хм, какая-то инструкция на сайте hplip. Кучу зависимостекй предлагают поставить, в том числе что-то от python3

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от grem

Понимаешь, прикол как раз в том, что я уже эту кучу зависимостей воткнул вручную. Маты остались на ксейн, хз почему он его не признаёт, но в минте тоже не ксейн пакет матерился. Засада как раз с тем, что почему-то в нужный момент он не выдаёт запрос пасса, а продолжает висеть. Пользователь состоит в группе lp, если чо. Куда его ещё засунуть - даже не представляю.

Vier_E ★★★ ()

UPD:
Дома, ради прикола, решил поставить этот самый плагин. И внезапно:

vier@ZG104:~> hp-plugin 

HP Linux Imaging and Printing System (ver. 3.15.6)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: You must be root to run this utility.
Ага, более старая версия 3.15.6 наоборот требует рута для работы. Продолжим? Ок:
ZG104:/home/vier # hp-plugin

HP Linux Imaging and Printing System (ver. 3.15.6)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Checking for network connection...
Downloading plug-in from: 
Receiving digital keys: /usr/bin/gpg --homedir /root/.hplip/.gnupg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0x73D770CDA59047B9
Creating directory plugin_tmp
Verifying archive integrity... All good.
Uncompressing HPLIP 3.15.6 Plugin Self Extracting Archive...........................................

HP Linux Imaging and Printing System (ver. 3.15.6)
Plugin Installer ver. 3.0

Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.
                                                                                                                                                                                                           
Plug-in version: 3.15.6                                                                                                                                                                                    
Installed HPLIP version: 3.15.6                                                                                                                                                                            
Number of files to install: 38                                                                                                                                                                             
                                                                                                                                                                                                           
                                                                                                                                                                                                           
Done.                                                                                                                                                                                                      
 Plug-in installation successful                                                                                                                                                                           
                                                                                                                                                                                                           
Done.                                        
Я ненавижу улучшаторов из ХП. Всем сердцем.

Vier_E ★★★ ()
Последнее исправление: Vier_E (всего исправлений: 1)
Ответ на: МФУ HP LaserJet Pro M125r от anonymous

Получилось, но только при использовании хплипса версии 3.15.6, где установка происходит от рута. С 3.15.9 не получилось под зузей. Ссыль гляну.
-----------------------
UPD: Да, там всё то же самое. В линапсминте оно просто требует пароль юзера (не рута). В зузе не могёт так - я выше писал. Так что только 3.15.6, только хардкор с рутпассом.

Vier_E ★★★ ()
Последнее исправление: Vier_E (всего исправлений: 1)
Ответ на: комментарий от Vier_E

Короче, качаешь hplip-plugin.run нужной версии; sh hplip-plugin.run --noexec --target hplip-plugin; cd hplip-plugin && sudo python installPlugn.py; hp-setup -i

Далее, меняем в cups драйвер с hpij на hpcups (YaST → Оборудование → Принтер).

Готово.

anonymous ()
Ответ на: комментарий от Reedych

В бубунте точно такая же проблема.

anonymous ()
Ответ на: комментарий от anonymous

На самом деле с нынешним актуальным хплиппом - 3.15.11 - такое не канает. Там точно также вывешивается на этапе ввода пасса.
Я как последнее средство взял из какого-то хомяка 3.16.2, поставил, но в ясте при старте hp-setup завис. Тогда я убил оба процесса и в консоли от рута этот hp-setup запустил - в итоге оно выкачало плагин и установило принтер (хотя это был уже HP LJ professional p1102 - нынешняя, не особо удачная замена неубиваемой 1000-й серии). Надеюсь, что это во всей ветке 3.16 добавили возможность запуска установки от рута.

Vier_E ★★★ ()

Забавно, два лазерджета — все печатают. В федоре с гномом завелось без всякого hp-setup, нужно было только скачать пакеты из реп то ли с прошивками, то ли с дровами. Вот из этих, с префиксом foo2:

http://rpm.pbone.net/index.php3?stat=3&search=foo2zjs&srodzaj=3

И все прекрасно работало, с 1xxx и с 2xxx hp.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.